Xalan-Java 2.7.1: Class SAXImpl.NamespaceWildcardIterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.dom
Class SAXImpl.NamespaceWildcardIterator

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMAxisIteratorBase
            |
            +--org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
                  |
                  +--org.apache.xalan.xsltc.dom.SAXImpl.NamespaceWildcardIterator

public final class SAXImpl.NamespaceWildcardIterator
extends DTMDefaultBaseIterators.InternalAxisIteratorBase

Iterator that handles node tests that test for a namespace, but have a wild card for the local name of the node, i.e., node tests of the form :::*

Constructor Summary
`SAXImpl.NamespaceWildcardIterator(int axis, int nsType)` Constructor NamespaceWildcard

Method Summary
`DTMAxisIterator` | `cloneIterator()` Returns a deep copy of this iterator.
`void` | `gotoMark()`
`boolean` | `isReverse()` True if this iterator has a reversed axis.
`int` | `next()` Get the next node in the iteration.
`void` | `setMark()`
`DTMAxisIterator` | `setStartNode(int node)` Set start to END should 'close' the iterator, i.e.

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, reset, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXImpl.NamespaceWildcardIterator

    public SAXImpl.NamespaceWildcardIterator(int axis,
                                             int nsType)

  Constructor NamespaceWildcard
  Parameters:
    `axis` - The axis that this iterator will traverse
    `nsType` - The namespace type index

Method Detail

### setStartNode

    public DTMAxisIterator setStartNode(int node)

  Set start to END should 'close' the iterator, i.e. subsequent call to next() should return END.
  Parameters:
    `node` - Sets the root of the iteration.
  Returns:
    A DTMAxisIterator set to the start of the iteration.

### next

    public int next()

  Get the next node in the iteration.
  Returns:
    The next node handle in the iteration, or END.

### cloneIterator

    public DTMAxisIterator cloneIterator()

  Returns a deep copy of this iterator. The cloned iterator is not reset.
  Returns:
    a deep copy of this iterator.
  Overrides:
    cloneIterator in class DTMAxisIteratorBase

### isReverse

    public boolean isReverse()

  True if this iterator has a reversed axis.
  Returns:
    `true` if this iterator is a reversed axis.
  Overrides:
    isReverse in class DTMAxisIteratorBase

### setMark

    public void setMark()

  Overrides:
    setMark in class DTMDefaultBaseIterators.InternalAxisIteratorBase

### gotoMark

    public void gotoMark()

  Overrides:
    gotoMark in class DTMDefaultBaseIterators.InternalAxisIteratorBase

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.